Apipylon
Create a Pylon issue (POST /issues)
Write operation: mutates state in the upstream service.
curl -X POST "https://api.modernloop.dev/rest/v1/pylon/issues" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "body_html": "string" }'{ "data": { "id": "string", "number": 0, "title": "string", "body_html": "string", "state": "string", "source": "string", "type": "string", "link": "string", "tags": [ "string" ], "account": { "id": "string" }, "assignee": { "id": "string", "email": "string" }, "requester": { "id": "string", "email": "string" }, "team": { "id": "string" }, "attachment_urls": [ "string" ], "external_issues": [ { "external_id": "string", "link": "string", "source": "string" } ], "created_at": "string", "latest_message_time": "string", "first_response_time": "string", "resolution_time": "string", "snoozed_until_time": "string" }, "request_id": "string"}{ "data": {}, "pagination": { "cursor": "string", "has_next_page": true }, "request_id": "string", "errors": [ "string" ]}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "errors": [ "string" ], "request_id": "string"}{ "errors": [ "string" ], "request_id": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
title*string
Length
1 <= lengthbody_html*string
The HTML body content of the issue
Length
1 <= lengthaccount_id?string
assignee_id?string
team_id?string
tags?array<string>
channel_type?string
Value in
- "slack"
- "email"
- "chat_widget"
slack_channel_id?string
Required when channel_type is slack
email_to?string
Required when channel_type is email
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json